function plot_randomsearch_bad_results(lcol)

% This plots results of the random search algorithm on the main figure. 
% Called by plot_main_figure.m

% How many realizations to plot? Note: if you plot all 2000 it is a solid
% block of gray. Adjust for best visual effect. 
numplot = 300;

if nargin < 1; lcol = [0.9 0.9 0.9]; end

load current_results_H1

axes(findobj('tag','ax1l'));
yy = results.plot_z_cm;
for a = 1:numplot
    xx = results.plot_N10s(a,:);
    plot(xx,yy,'-','color',lcol,'tag','null_results_H1'); hold on;
end

axes(findobj('tag','ax1m'));
for a = 1:numplot
    xx = results.plot_N14s(a,:);
    plot(xx,yy,'-','color',lcol,'tag','null_results_H1'); hold on;
end

axes(findobj('tag','ax1r'));
for a = 1:numplot
    xx = results.times(a,:);
    yy = results.surface_elvs(a,:);
    plot(xx,yy,'-','color',lcol,'tag','null_results_H1'); hold on;
end

%% 

load current_results_H4

axes(findobj('tag','ax4l'));
yy = results.plot_z_cm;
for a = 1:numplot
    xx = results.plot_N10s(a,:);
    plot(xx,yy,'-','color',lcol,'tag','null_results_H4'); hold on;
end

axes(findobj('tag','ax4m'));
for a = 1:numplot
    xx = results.plot_N14s(a,:);
    plot(xx,yy,'-','color',lcol,'tag','null_results_H4'); hold on;
end

axes(findobj('tag','ax4r'));
for a = 1:numplot
    xx = results.times(a,:);
    yy = results.surface_elvs(a,:);
    plot(xx,yy,'-','color',lcol,'tag','null_results_H4'); hold on;
end

%% 

load current_results_H5

axes(findobj('tag','ax5l'));
yy = results.plot_z_cm;
for a = 1:numplot
    xx = results.plot_N10s(a,:);
    plot(xx,yy,'-','color',lcol,'tag','null_results_H5'); hold on; 
end

axes(findobj('tag','ax5m'));
for a = 1:numplot
    xx = results.plot_N14s(a,:);
    plot(xx,yy,'-','color',lcol,'tag','null_results_H5'); hold on;
end

axes(findobj('tag','ax5r'));
for a = 1:numplot
    xx = results.times(a,:);
    yy = results.surface_elvs(a,:);
    plot(xx,yy,'-','color',lcol,'tag','null_results_H5'); hold on;
end



